#!/bin/bash
#last update 20130314 C.C.Molling
#Seviri version 20140213 Steve Wanzong
#Met-8 IODC version 20161114 Steve Wanzong
#This script gets realtime data for a full disk, 
#Meteosat IODC Image. They get put into /data1/Satellite_input/IODC/
#It only grabs the most recent file.  It won't fill the older one(s) if there 
#are two or more files since the last one gotten.
#example:
# ./get_iodc.bash
#	gets most recent file

echo `date`

#To set this script up for a new region, change values for 
#OUTDIRE, SCRDIR
#---------------------------------------------------------

#get mcidas login environmental variables
source $HOME/mcidas/mcidasaccts.txt

#cd to the directory holding the script that gets the data
cd /home/clavrx_ops/scripts/

#the output directory
OUTDIRE=/data1/Satellite_Input/IODC/

#the scratch directory
SCRDIR=/data1/Satellite_Input/clavrx_ops/scratch/IODC/

echo 'attempting to download Meteosat Full Disk AREA files over Indian Ocean.'
echo 'the command being run is'
echo './get_iodc.ksh '$MCACCT1 $MCPROJ1 $OUTDIRE $SCRDIR
echo 'begin...'
./get_iodc.ksh
echo 'end...'
echo '///////////////////////////////////////////////////////////////////'

#end of script
exit 0
